Aggiorna una Chiave API
Aggiorna una Chiave API Standard esistente e recupera il riepilogo dell'utilizzo corrente.
Aggiorna una Chiave API Standard esistente e recupera il riepilogo dell’utilizzo corrente.
Endpoint
- URL di base
https://runapi.ai- Versione API
v1- Autenticazione
Authorization: Bearer YOUR_MANAGEMENT_API_KEY
Richiesta
Invia i valori solo nella posizione di richiesta elencata.
Corpo JSON7 campi
allowed_modelsarray | nullAllowlist dei modelli sostitutiva; null o un array vuoto la azzera.
credit_limit_centsinteger | nullLimite di spesa in centesimi USD; null annulla il limite e l'intervallo di reset.
credit_limit_reset_intervalstring | nullCadenza di reset per il limite di spesa.
Valori consentiti:daily, weekly, monthly
credit_limit_windowsobjectLimiti di spesa progressivi sostitutivi con chiave 1h, 1d o 7d; un oggetto vuoto elimina tutti i limiti progressivi.
enabledbooleanSe le richieste che utilizzano questa chiave vengono accettate.
namestringNome descrittivo sostitutivo per la Chiave API.
tagsarrayStringhe key:value sostitutive; omettere il campo conserva i tag. Stesso formato e limite di 20 tag della creazione. Se manca usage viene usato usage:developer; un array vuoto ripristina usage:developer.
Parametri del percorso1 campo
idstringID prefisso della chiave API, ad esempio token_123.
Risposta di successo
PATCH /api/v1/keys/:id
{
"allowed_models": [
"gpt-5.4"
],
"created_at": "2026-07-27T10:00:00.000Z",
"credit_limit_cents": 1000,
"credit_limit_reset_interval": "daily",
"credit_limit_windows": {},
"credit_usage_cents_by_model": {
"gpt-5.4": 250
},
"credit_usage_cents_this_month": 250,
"credit_usage_cents_this_week": 100,
"credit_usage_cents_today": 25,
"credit_usage_cents_total": 250,
"enabled": true,
"guardrail_id": "guardrail_123",
"id": "token_123",
"last_used_at": null,
"masked_token": "runapi_abc...wxyz",
"name": "Production primary",
"tags": [
"usage:service",
"env:production",
"dept:ml"
]
}
Risposta di errore (401)
Schema della risposta
{
"properties": {
"error": {
"description": "Messaggio di errore leggibile.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Esempio di risposta
{
"error": "Authentication required"
}
Risposta di errore (403)
Schema della risposta
{
"properties": {
"error": {
"description": "Messaggio di errore leggibile.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Esempio di risposta
{
"error": "Management API key required"
}
Risposta di errore (403)
Schema della risposta
{
"properties": {
"error": {
"description": "Messaggio di errore leggibile.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Esempio di risposta
{
"error": "Account admin required"
}
Risposta di errore (400)
Schema della risposta
{
"oneOf": [
{
"properties": {
"error": {
"description": "Messaggio di errore leggibile.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
},
{
"properties": {
"error": {
"description": "Riepilogo di convalida leggibile dall'utente.",
"type": "string"
},
"errors": {
"additionalProperties": {
"items": {
"type": "string"
},
"type": "array"
},
"description": "Messaggi di convalida con chiave per campo della richiesta pubblica, con un array di stringhe leggibili dall'utente per ogni campo.",
"type": "object"
}
},
"required": [
"error",
"errors"
],
"type": "object",
"unevaluatedProperties": false
}
]
}
Esempio di risposta
{
"error": "page must be an integer"
}
Risposta di errore (404)
Schema della risposta
{
"properties": {
"error": {
"description": "Messaggio di errore leggibile.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Esempio di risposta
{
"error": "Resource not found"
}
Risposta di errore (422)
Schema della risposta
{
"properties": {
"error": {
"description": "Riepilogo di convalida leggibile dall'utente.",
"type": "string"
},
"errors": {
"additionalProperties": {
"items": {
"type": "string"
},
"type": "array"
},
"description": "Messaggi di convalida con chiave per campo della richiesta pubblica, con un array di stringhe leggibili dall'utente per ogni campo.",
"type": "object"
}
},
"required": [
"error",
"errors"
],
"type": "object",
"unevaluatedProperties": false
}
Esempio di risposta
{
"error": "Validation failed",
"errors": {
"base": [
"Validation failed"
]
}
}
Esempio cURL
curl -X PATCH https://runapi.ai/api/v1/keys/token_123 \
-H 'Authorization: Bearer YOUR_MANAGEMENT_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"name":"Production primary","tags":["usage:service","env:production","dept:ml"],"enabled":true,"credit_limit_windows":{}}'